<?php
ini_set("memory_limit", "1024M");
ini_set("max_execution_time", 5);

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
header('Access-Control-Allow-Credentials: true');

$porta = query_string('1');

$verifica_stm = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM streamings where porta = '".$porta."'"));

if($verifica_stm == 0) {
die ("Indisponivel");
}

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where porta = '".$porta."'"));
$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));

if(query_string('2') == "currentsong") {

if($dados_stm["tipo_servidor"] == "icecast") {

$porta_admin_icecast = $dados_stm["porta"]+1;

$json_icecast = utf8_encode(file_get_contents("http://".$dados_servidor["ip"].":".$porta_admin_icecast."/status-json.xsl?mount=/stream"));
$stats_icecast = json_decode($json_icecast,TRUE);

$musica = ($stats_icecast["icestats"]["source"]["artist"]) ? $stats_icecast["icestats"]["source"]["artist"]." - ".$stats_icecast["icestats"]["source"]["title"] : $stats_icecast["icestats"]["source"]["title"];

$musica = str_replace("_"," ",$musica);
$musica = str_replace("+"," ",$musica);
$musica = str_replace("_-_"," - ",$musica);

} else {

$musica = @file_get_contents("http://".$dados_servidor["ip"].":".$dados_stm["porta"]."/currentsong");
$musica = str_replace("_"," ",$musica);
$musica = str_replace("+"," ",$musica);
$musica = str_replace("_-_"," - ",$musica);

}

echo $musica;
exit();
}

if(query_string('2') == "title") {

$resultado = @file_get_contents("http://".$dados_servidor["ip"].":".$dados_stm["porta"]."/stats");

$xml = @simplexml_load_string(utf8_encode($resultado));

echo $xml->SERVERTITLE;

exit();
}

if(query_string('2') == "7.html") {
$musica = @file_get_contents("http://".$dados_servidor["ip"].":".$dados_stm["porta"]."/7.html");
echo str_replace("_"," ",$musica);
exit();
}

if(query_string('2') == "played.html") {
$musica = @file_get_contents("http://".$dados_servidor["ip"].":".$dados_stm["porta"]."/played.html");
echo str_replace("_"," ",$musica);
exit();
}

if(query_string('2') == "stats") {

header('Content-type: text/xml');

$musica = @file_get_contents("http://".$dados_servidor["ip"].":".$dados_stm["porta"]."/stats?sid=1");
echo str_replace("_"," ",$musica);
exit();
}

?>
